lzma_lz_decoder Struct Reference

## Data Fields

void * | coder
| Data specific to the LZ-based decoder. More...
lzma_ret(* | code )(void *coder, lzma_dict *restrict dict, const uint8_t *restrict in, size_t *restrict in_pos, size_t in_size)
| Function to decode from in[] to *dict. More...
void(* | reset )(void *coder, const void *options)
void(* | set_uncompressed )(void *coder, lzma_vli uncompressed_size)
| Set the uncompressed size. More...
void(* | end )(void *coder, const lzma_allocator *allocator)
| Free allocated resources. More...

## Field Documentation

## coder

void* lzma_lz_decoder::coder

Data specific to the LZ-based decoder.

## code

lzma_ret(* lzma_lz_decoder::code) (void *coder, lzma_dict *restrict dict, const uint8_t *restrict in, size_t *restrict in_pos, size_t in_size)

Function to decode from in[] to *dict.

## set_uncompressed

void(* lzma_lz_decoder::set_uncompressed) (void *coder, lzma_vli uncompressed_size)

Set the uncompressed size.

## end

void(* lzma_lz_decoder::end) (void *coder, const lzma_allocator *allocator)

Free allocated resources.

The documentation for this struct was generated from the following file:

- liblzma/lz/lz_decoder.h